Name:           maven-resolver
Version:        1.1.1
Release:        4
Epoch:          1
License:        ASL 2.0
Summary:        Apache Maven Artifact Resolver library
URL:            http://maven.apache.org/resolver/
Source0:        http://archive.apache.org/dist/maven/resolver/%{name}-%{version}-source-release.zip
BuildArch:      noarch
Patch0001:      add-support-for-blocked-repository.patch
BuildRequires:  maven-local mvn(javax.inject:javax.inject) mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient) mvn(org.apache.httpcomponents:httpcore) mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.apache.maven.wagon:wagon-provider-api) mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations) mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils) mvn(org.eclipse.sisu:org.eclipse.sisu.inject)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus) mvn(org.eclipse.sisu:sisu-maven-plugin) mvn(org.hamcrest:hamcrest-core)
BuildRequires:  mvn(org.slf4j:jcl-over-slf4j) mvn(org.slf4j:slf4j-api) mvn(org.sonatype.sisu:sisu-guice::no_aop:)
Obsoletes:      aether < 1:1.0.3

%description
Maven Artifact Resolver demos, showing concrete code to use Maven Artifact
Resolver with Maven repositories.

%package   api
Summary:   Apache Maven Artifact Resolver API
Obsoletes: aether-api < 1:1.0.3 aether-ant-tasks < 1:1.0.1-9

%description api
The application programming interface for the repository system.

%package   spi
Summary:   Apache Maven Artifact Resolver SPI
Obsoletes: aether-spi < 1:1.0.3

%description spi
The service provider interface for repository system implementations and
repository connectors.

%package   util
Summary:   Apache Maven Artifact Resolver Utilities
Obsoletes: aether-util < 1:1.0.3

%description util
A collection of utility classes to ease usage of the repository system.

%package   impl
Summary:   Apache Maven Artifact Resolver Implementation
Obsoletes: aether-impl < 1:1.0.3

%description impl
An implementation of the repository system.

%package   test-util
Summary:   Apache Maven Artifact Resolver Test Utilities
Obsoletes: aether-test-util < 1:1.0.3

%description test-util
A collection of utility classes to ease testing of the repository system.

%package   connector-basic
Summary:   Apache Maven Artifact Resolver Connector Basic
Obsoletes: aether-connector-basic < 1:1.0.3

%description connector-basic
A repository connector implementation for repositories using URI-based layouts.

%package   transport-classpath
Summary:   Apache Maven Artifact Resolver Transport Classpath
Obsoletes: aether-transport-classpath < 1:1.0.3

%description transport-classpath
A transport implementation for repositories using classpath:// URLs.

%package   transport-file
Summary:   Apache Maven Artifact Resolver Transport File
Obsoletes: aether-transport-file < 1:1.0.3

%description transport-file
A transport implementation for repositories using file:// URLs.

%package   transport-http
Summary:   Apache Maven Artifact Resolver Transport HTTP
Obsoletes: aether-transport-http < 1:1.0.3

%description transport-http
A transport implementation for repositories using http:// and https:// URLs.

%package   transport-wagon
Summary:   Apache Maven Artifact Resolver Transport Wagon
Obsoletes: aether-transport-wagon < 1:1.0.3

%description transport-wagon
A transport implementation based on Maven Wagon.

%package   help
Summary:   This package contains help documents
Requires:  %{name} = %{epoch}:%{version}-%{release}
Provides:  maven-resolver-javadoc = %{epoch}:%{version}-%{release}
Obsoletes: maven-resolver-javadoc < %{epoch}:%{version}-%{release}

%description help
Files for help with maven-resolver.

%prep
%autosetup -n %{name}-%{version} -p1
%pom_remove_dep :::test maven-resolver-transport-http
rm -r maven-resolver-transport-http/src/test
%pom_disable_module maven-resolver-demos
for pom in $(find -mindepth 2 -name pom.xml) ; do
  %pom_add_plugin "org.apache.felix:maven-bundle-plugin" $pom \
  "<configuration>
    <instructions>
      <Bundle-SymbolicName>\${project.groupId}$(sed 's:./maven-resolver::;s:/pom.xml::;s:-:.:g' <<< $pom)</Bundle-SymbolicName>
      <Export-Package>!org.eclipse.aether.internal*,org.eclipse.aether*</Export-Package>
      <_nouses>true</_nouses>
    </instructions>
  </configuration>
  <executions>
    <execution>
      <id>create-manifest</id>
      <phase>process-classes</phase>
      <goals><goal>manifest</goal></goals>
    </execution>
  </executions>"
done
%pom_add_plugin "org.apache.maven.plugins:maven-jar-plugin" pom.xml \
"<configuration>
  <archive>
    <manifestFile>\${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
  </archive>
</configuration>"
%mvn_package :maven-resolver
%mvn_alias 'org.apache.maven.resolver:maven-resolver{*}' 'org.eclipse.aether:aether@1'
%mvn_file ':maven-resolver{*}' %{name}/maven-resolver@1 aether/aether@1

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files api -f .mfiles-%{name}-api
%files spi -f .mfiles-%{name}-spi
%files util -f .mfiles-%{name}-util
%files impl -f .mfiles-%{name}-impl
%files test-util -f .mfiles-%{name}-test-util
%files connector-basic -f .mfiles-%{name}-connector-basic
%files transport-classpath -f .mfiles-%{name}-transport-classpath
%files transport-file -f .mfiles-%{name}-transport-file
%files transport-http -f .mfiles-%{name}-transport-http
%files transport-wagon -f .mfiles-%{name}-transport-wagon

%files help -f .mfiles-javadoc

%changelog
* Fri Jul 16 2021 wutao <wutao61@huawei.com>- 1.1.1-4
- add support for blocked repository

* Tue Dec 03 2019 gulining<gulining1@huawei.com> - 1.1.1-3
- Pakcage init
